#
# spec file for package glade (Version 0.6.2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  audiofile control-center control-center-devel esound esound-devel gdk-pixbuf gdk-pixbuf-devel glib glib-devel gnome-libs gnome-libs-devel gtk gtk-devel imlib imlib-devel indent libjpeg libpng libtiff libungif libxml libxml-devel libz orbit orbit-devel scrollkeeper xf86 xpm
# usedforbuild    aaa_base aaa_dir audiofile autoconf automake base bash bindutil binutils bison bzip compress control-center control-center-devel cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs esound esound-devel file fileutils findutils flex gawk gcc gdbm gdbm-devel gdk-pixbuf gdk-pixbuf-devel gettext glib glib-devel glibc glibc-devel gnome-libs gnome-libs-devel gpm gppshare grep groff gtk gtk-devel gzip imlib imlib-devel indent kbd less libjpeg libpng libtiff libtool libungif libxml libxml-devel libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg orbit orbit-devel pam pam-devel patch perl ps rcs readline rpm scrollkeeper sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         glade
%define prefix /opt/gnome
Group:	      Development/Tools
Copyright:    GPL 
Provides:     glade 
Requires:     autoconf automake gettext
Autoreqprov:  on
Version:      0.6.2
Release:      113
Summary:      A user interface builder for GTK+ and GNOME
URL:	      http://glade.pn.org/
Source:	      ftp://ftp.gnome.org/pub/GNOME/stable/sources/glade/glade-%{version}.tar.bz2
Patch:	      glade-intl.dif
BuildRoot:    /var/tmp/build-%{name}-root

%description
Glade is a user interface builder for GTK+, that outputs C code.
Support for other languages is being developed by other projects.
As the native format for projects is XML you can also use an
external codegenerator or even embedd it directly in the application.
For more information, see /usr/share/doc/packages/glade and:
Glades homepage  http://glade.pn.org/

Authors:
--------
    Damon Chaplin <glade@glade.pn.org>
    Martijn van Beers <martijn@earthling.net>

SuSE series: xdev

%prep
%setup 
%patch0 -p1
%{?suse_update_config:%{suse_update_config -f glade-%version}}

%build
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%{prefix}
make 

%install
make prefix=$RPM_BUILD_ROOT%{prefix} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc doc examples glade/graphics/glade_logo.png
%doc AUTHORS COPYING ChangeLog NEWS README TODO FAQ INSTALL
%{prefix}/bin/*
%{prefix}/share/glade
%{prefix}/share/gnome/apps/*/*
%{prefix}/share/gnome/help/*
%{prefix}/share/locale/*/*/*
%{prefix}/share/pixmaps/*

%changelog -n glade
* Sat Jul 07 2001 - egger@suse.de
- Updated to version 0.6.2.
* Sat Mar 24 2001 - egger@suse.de
- Updated to version 0.6.1.
- Misc specfile cleanups.
* Wed Mar 21 2001 - ro@suse.de
- added esound-devel to neededforbuild
* Thu Mar 01 2001 - egger@suse.de
- Updated to version 0.6.0.
* Mon Feb 19 2001 - ro@suse.de
- changed neededforbuild <libghtt> to <libghttp>
- changed neededforbuild <libghtt-devel> to <libghttp-devel>
* Wed Nov 29 2000 - egger@suse.de
- Updated to version 0.5.11.
- Fixed specfile.
- Use BuildRoot.
* Tue Nov 07 2000 - ro@suse.de
- fixed neededforbuild libgtopd -> libgtop-devel
* Wed Nov 01 2000 - egger@suse.de
- Updated specfile to new long packagenames.
- Reworked specfile.
- Probably needs some more work; I'm taking care of that.
* Sun Sep 24 2000 - egger@suse.de
- Use the splitted oafdev and bonobod in #neededforbuild.
* Fri Sep 15 2000 - egger@suse.de
- Misc. corrections to the specfile.
* Wed Sep 06 2000 - egger@suse.de
- Added GNOME support.
- Added BONOBO support.
- fixed specfile.
* Thu Aug 31 2000 - egger@suse.de
- Updated to 0.5.9
* Tue Aug 22 2000 - nadvornik@suse.cz
- added URL
* Fri May 26 2000 - ke@suse.de
- update to version 0.5.7.
- spec file: add group tag, use %%{version} macro, make it BuildRoot using
  DESTDIR.
- install glade.desktop.
* Sat Apr 08 2000 - bk@suse.de
- added suse update config macro
* Fri Sep 24 1999 - ke@suse.de
- update: 0.5.3 (mt).
- enable GNOME support (works-for-me).
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Jul 13 1999 - bs@suse.de
- use gtk and glib instead of gtkn and glibn
* Wed May 26 1999 - mt@suse.de
- updated to version 0.4.1
* Mon Apr 05 1999 - bs@suse.de
- fixed date strings in .changes.
* Fri Mar 05 1999 - mt@suse.de
- new version, 0.3.9
